Subject: Re: 2.6.31-rc9 breaks gianfar

From: Toru UCHIYAMA <[email-masked]>
Date: Mon, 07 Sep 2009 12:21:42 +0900

Hi David,

I'm sorry.It was my mistake.
I will note that it is not never in the future.
Thank you for the correction.

> From: Michael Guntsche <[email-masked]>
> Date: Sun, 6 Sep 2009 09:27:08 +0200
> 
> Please also report networking bugs to [email-masked]
> and CC: the person who commited the problematic commit.
> 
>> Commit 
>> 38bddf04bcfe661fbdab94888c3b72c32f6873b3 gianfar: gfar_remove needs to call unregister_netdev()
>>
>> breaks the build of the gianfar driver because "dev" is undefined in
>> this function. To quickly test rc9 I changed this to priv->ndev but I do
>> not know if this is the correct one.
> 
> Toru-chan, did you even compile test this again current kernels?
> 
> I'll commit the following fix and push it to Linus, thanks.
> 
>>>From 5db8bfee2dbb3ff28c18868081398fa6e2155053 Mon Sep 17 00:00:00 2001
> From: David S. Miller <[email-masked]>
> Date: Sun, 6 Sep 2009 01:41:02 -0700
> Subject: [PATCH] gianfar: Fix build.
> 
> Reported by Michael Guntsche <[email-masked]>
> 
> --------------------
> Commit
> 38bddf04bcfe661fbdab94888c3b72c32f6873b3 gianfar: gfar_remove needs to call unregister_netdev()
> 
> breaks the build of the gianfar driver because "dev" is undefined in
> this function. To quickly test rc9 I changed this to priv->ndev but I do
> not know if this is the correct one.
> --------------------
> 
> Signed-off-by: David S. Miller <[email-masked]>
> ---
>  drivers/net/gianfar.c |    2 +-
>  1 files changed, 1 insertions(+), 1 deletions(-)
> 
> diff --git a/drivers/net/gianfar.c b/drivers/net/gianfar.c
> index 24f7ca5..a00ec63 100644
> --- a/drivers/net/gianfar.c
> +++ b/drivers/net/gianfar.c
> @@ -491,7 +491,7 @@ static int gfar_remove(struct of_device *ofdev)
>  
>  	dev_set_drvdata(&ofdev->dev, NULL);
>  
> -	unregister_netdev(dev);
> +	unregister_netdev(priv->ndev);
>  	iounmap(priv->regs);
>  	free_netdev(priv->ndev);
>  

-- 
-----------------------------------------------
Toru UCHIYAMA      [email-masked]